Edushade Docs
Scholarship

A: Get scholarship applications

GET
/admin/billing/scholarship-application
AuthorizationBearer <token>

In: header

Query Parameters

page?number

Page number

Default1
Range1 <= value
per_page?number

Number of applications per page

Default20
Range1 <= value <= 100
search?string

Search in application notes and user information

Defaultnull
status?string

Filter by status (values: pending, approved, rejected, revoked)

Defaultnull
Value in"pending" | "approved" | "rejected" | "revoked"
scholarship_id?string

Filter by scholarship ID

Defaultnull
Formatuuid
user_id?string

Filter by user ID

Defaultnull
Formatuuid
only_ids?string

Filter by specific application IDs

Defaultnull
exclude_ids?string

Exclude specific application IDs

Defaultnull
include_ids?string

Include specific application IDs

Defaultnull
sort_by?string

Field to sort by

Default"created_at"
sort_dir?string

Sort direction (values: asc, desc)

Default"desc"
Value in"asc" | "desc"

Response Body

curl -X GET "https://edushade.com/api/v1/admin/billing/scholarship-application?page=1&per_page=20&status=pending&sort_by=created_at&sort_dir=asc"
{}
Empty
Empty
Empty